package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class AdvertFactory
{
    private AdvertFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IAdvert getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IAdvert)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("6B457932") ,com.kingdee.eas.custom.gggl.IAdvert.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IAdvert getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IAdvert)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("6B457932") ,com.kingdee.eas.custom.gggl.IAdvert.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IAdvert getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IAdvert)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("6B457932"));
    }
    public static com.kingdee.eas.custom.gggl.IAdvert getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IAdvert)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("6B457932"));
    }
}